/*------------------------------------*\
    #NEWS-SLIDER
\*------------------------------------*/
/**
 * News slider component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-news-slider-space-vertical: $inuit-base-space-vertical;

.#{$inuit-namespace}news-slider,
%#{$inuit-namespace}news-slider {
    margin-bottom: $inuit-base-space-vertical-small-only;
    padding: $inuit-base-space-vertical-small-only 0;
    overflow: hidden;
    background: $drk-color-light-beige;

    // Typically sections get their bottom padding removed when they're the
    // last section on the page. This re-adds the padding to the news-slider.
    // It also remove the bottom margin so the footer won't move down too far.
    &:last-of-type {
        //margin-bottom: 0;
        //padding-bottom: $inuit-news-slider-space-vertical;
    }

    @media #{$medium-up} {
        margin-bottom: $inuit-news-slider-space-vertical;
        padding: $inuit-news-slider-space-vertical 0;
    }

    &__break,
    &__play {
        position: absolute;
        border: 0;
        background: transparent;
        top: -8px;
        left: 50px;
        width: 32px;
        height: 32px;
        color: $drk-color-blue;
        fill: currentColor;
        z-index: 9;
        font-size: 1.3rem;
        transition: background 300ms ease-in-out 0s;
    }

    &__break svg {
        width: 10px;
        height: 20px;
    }

    &__play svg {
        width: 15px;
        height: 20px;
    }
}

.#{$inuit-namespace}news-slider__list,
%#{$inuit-namespace}news-slider__list {
    clear: both;
    margin-bottom: 0;
    position: relative;

    @media #{$medium-up} {
        margin: 0 -.5 * $drk-base-unit;
    }

    @media #{$large-up} {
        margin: 0;
        padding: 0 $drk-base-unit;
        padding-left: 1.5 * $drk-base-unit;
    }
}

.#{$inuit-namespace}news-slider__item,
%#{$inuit-namespace}news-slider__item {

    &.slick-active {
        text-decoration: inherit;
    }

    @media #{$medium-up} {
        padding: 0 .5 * $drk-base-unit;
    }

    @media #{$large-up} {
        padding: 0 $drk-base-unit;
        margin-left: -.5 * $drk-base-unit;
    }
}

.#{$inuit-namespace}news-slider__headline,
%#{$inuit-namespace}news-slider__headline {
    margin-bottom: $drk-grid-unit;
}

.#{$inuit-namespace}news-slider__arrow,
%#{$inuit-namespace}news-slider__arrow {
    background: transparent;
    border: 0;
    color: $drk-color-blue;
    height: 50px;
    outline: none;
    padding: 0;
    position: absolute;
    top: 50px;
    top: -2.5em;
    width: 50px;
    z-index: 10;

    @include drk-hover {
        color: darken($drk-color-blue, 20);
    }

    > svg {
        @media #{$large-up} {
            height: auto;
            width: rem-calc(100px);
        }
    }

    @media #{$large-up} {
        margin-top: rem-calc(-75px);
        height: auto;
        top: 50%;
        width: 100px;
    }

    &--prev {
        left: auto;
        right: $drk-base-unit * 1;

        @media #{$large-up} {
            right: auto;
            left: 0;
        }
    }

    &--next {
        right: $drk-base-unit * 0;

        @media #{$large-up} {
            right: 0;
        }
    }
}

.#{$inuit-namespace}news-slider__arrow img,
%#{$inuit-namespace}news-slider__arrow img {

    width: 21px;
    height: 40px;

    @media #{$medium-up} {
        width: 32px;
        height: 60px;
    }

    @media #{$large-up} {
        width: 42px;
        height: 80px;
    }

}

